#include "stdafx.h"
#include "War3TypesAndConstants.h"
#include "Doodad.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////
CDoodad::CDoodad()
{
	ID = -1;
	life = 100;
	flags = DOOD_FL_NORMAL;
	scaleZ = 1;
	scaleY = 1;
	scaleX = 1;
	angle = DOOD_DEFAULT_ANGLE;
	z = 0;
	y = 0;
	x = 0;
	variation = DOOD_DEFAULT_VARIATION;
	type = DOOD_DEFAULT_TREE;
	selected = FALSE;
}

CDoodad::~CDoodad()
{

}

float CDoodad::GetAngleValue()
{
	return angle * DOOD_ANGLE_CONST;
}

void CDoodad::SetAngleValue(float newangle)
{
	angle = newangle / DOOD_ANGLE_CONST;
}
